<?php

use \App\Models\Enums\ProjectStatus;
use \App\Models\Enums\RequirementStatus;

return [
    'project' => [
        'status' => [
            ProjectStatus::DOING->value => "In progress",
            ProjectStatus::WAIT->value => "Not Submitted",
            ProjectStatus::DONE->value => "A-Approved & B-Approved w/comment",
            ProjectStatus::PAUSE->value => "C-Amendment & Resubmission Req’d",
            ProjectStatus::CLOSED->value => "D-Rejected",
            ProjectStatus::CANCEL->value => "Cancelled",
            ProjectStatus::PENDING_REVIEW->value => "Pending for Approval",
        ]
    ],
    'requirement' => [
        'status' => [
            RequirementStatus::DRAFT->value => "Draft",
            RequirementStatus::CHANGED->value => "Changed",
            RequirementStatus::ACTIVE->value => "Active",
            RequirementStatus::CLOSED->value => "Closed",
        ]
    ]
];
